Subject: bug#27900: broken checkout? can't run autotools (automake) anymore in guix repository

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 1 Aug 2017 11:19:29 +0200

Hi ng0,

>        guix environment --fallback --ad-hoc guix autoconf [email-masked] make guile guile-ssh pkg-config gcc-toolchain libgcrypt gnutls guile-json zlib bzip2 sqlite help2man gettext texinfo guile-git

I only ever do 

$ guix environment --fallback --pure guix

(The "--pure" is important)

and it works fine, bootstrapping too (via ./bootstrap - which invokes autoreconf).

I mean I guess your ad-hoc-everything way should be possible, but why would you do that?  It makes the setup flaky should the guix package ever change its inputs (I don't know whether it did in fact do that).

I do sometimes specify extra ad-hoc packages, like so:

$ guix environment --fallback --pure guix --ad-hoc guile-ncurses-with-gpm

The order of the arguments is sometimes important.  I think of "--ad-hoc" like "--" for many other UNIX commands (startx etc).